org.apache.tinkerpop.gremlin.server.handler

## Class WsGremlinBinaryRequestDecoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.websocketx.BinaryWebSocketFrame>
      - - org.apache.tinkerpop.gremlin.server.handler.WsGremlinBinaryRequestDecoder

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

      @ChannelHandler.Sharable
      public class WsGremlinBinaryRequestDecoder
      extends io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.websocketx.BinaryWebSocketFrame>

  Decodes the contents of a `BinaryWebSocketFrame`. Binary-based frames assume that the format is encoded in the first initial bytes of the message. From there the proper serializer can be chosen and the message can then be deserialized.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsGremlinBinaryRequestDecoder(Map<String,MessageSerializer<?>> serializers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `decode(io.netty.channel.ChannelHandlerContext channelHandlerContext, io.netty.handler.codec.http.websocketx.BinaryWebSocketFrame frame, List<Object> objects)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageDecoder

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### WsGremlinBinaryRequestDecoder

          public WsGremlinBinaryRequestDecoder(Map<String,MessageSerializer<?>> serializers)

  - ### Method Detail

    - #### decode

          protected void decode(io.netty.channel.ChannelHandlerContext channelHandlerContext,
                                io.netty.handler.codec.http.websocketx.BinaryWebSocketFrame frame,
                                List<Object> objects)
                         throws Exception

      Specified by:
        `decode` in class `io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.websocketx.BinaryWebSocketFrame>`
      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.